| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::DefaultShadowCameraSetup Class Reference
Core » Scene

Implements default shadow camera setup. More...

`#include <OgreShadowCameraSetup.h>`

Inheritance diagram for Ogre::DefaultShadowCameraSetup:
[legend]

## Public Member Functions
| DefaultShadowCameraSetup ()
| Default constructor. More...
virtual | ~DefaultShadowCameraSetup ()
| Destructor. More...
virtual void | getShadowCamera (const SceneManager *sm, const Camera *cam, const Viewport *vp, const Light *light, Camera *texCam, size_t iteration) const
| Default shadow camera setup. More...

## Detailed Description

Implements default shadow camera setup.

Remarks
  This implements the default shadow camera setup algorithm. This is what might be referred to as "normal" shadow mapping.

## Constructor & Destructor Documentation

## ◆ DefaultShadowCameraSetup()

Ogre::DefaultShadowCameraSetup::DefaultShadowCameraSetup | ( |  | ) |

Default constructor.

## ◆ ~DefaultShadowCameraSetup()

virtual Ogre::DefaultShadowCameraSetup::~DefaultShadowCameraSetup | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ getShadowCamera()

virtual void Ogre::DefaultShadowCameraSetup::getShadowCamera | ( | const SceneManager * | sm,
|  | const Camera * | cam,
|  | const Viewport * | vp,
|  | const Light * | light,
|  | Camera * | texCam,
|  | size_t | iteration
| ) |  | const
| virtual

Default shadow camera setup.

Implements Ogre::ShadowCameraSetup.

The documentation for this class was generated from the following file:

- OgreShadowCameraSetup.h